Order from a quote or a saved product
Create a FRED order with an address and an accepted price. Manufacturing depends on confirmed payment and the required approvals.
Published by FRED
Create a FRED order with an address and an accepted price. Manufacturing depends on confirmed payment and the required approvals.
Authorization
ApiKeyAuth Key created in the dashboard, to be kept on your server.
In: header
Header Parameters
1 <= length <= 160Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/storefront/orders" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "quote_id": "est_exemple", "option_id": "opt_exemple", "external_ref": "BOUTIQUE-1042", "shipping_address": { "name": "Camille Dupont", "line1": "10 rue de la Paix", "postal_code": "34000", "city": "Montpellier", "country": "FR" } }'{ "id": "ord_exemple", "object": "order", "status": "pending_review", "payment_status": "none", "external_ref": "BOUTIQUE-1042", "total_cents": 1751, "currency": "EUR", "shipments": [], "dashboard_url": "https://app.fredpod.com/orders/ord_exemple"}